.rui-overlay {
  position: fixed;
  z-index: var(--z-index-overlay);
  background-color: var(--overlay-color);
  inset: 0;

  &--opaque {
    background-color: var(--background-color);
  }

  &--disabled {
    cursor: not-allowed;
  }
}
